/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ModelingInColor.ComponentConnectivity.Sale;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias ProductSale
 */
public class ProductSale implements IProductSale {
    /**  */
    public Vector assessTimelinessOfIShipments() {
        return null;
    }

    public int doesDateMeetDueDate() {
        return -1;
    }

    /** @supplierCardinality 0..* */
    private ModelingInColor.ComponentConnectivity.ReservationComponent2.IShipment lnkUnnamed;
}


